Name:           pylibpcap
Version:        0.6.4
Release:        14%{?dist}
Summary:        A Python module for libpcap

License:        BSD
URL:            http://pylibpcap.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         pylibpcap-0.6.4-error.patch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  libpcap-devel

%description
Python module for the libpcap packet capture library, based on the original
python libpcap module by Aaron Rhodes.

%filter_provides_in %{python_sitearch}
%filter_setup

%prep
%setup -q
%patch0 -p0 -b .error

%build
CFLAGS="%{optflags}" %{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
chmod 0755 %{buildroot}%{python2_sitearch}/_pcapmodule.so

%files
%doc ChangeLog COPYING README
%{python2_sitearch}/*

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.6.4-12
- Rebuild due to bug in RPM (RHBZ #1468476)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 23 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.4-6
- Add patch to fix FTBFS (rhbz#1106702)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 29 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.4-4
- Update py macro

* Thu Aug 15 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.4-3
- Permission changed

* Tue Jan 22 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.4-2
- Permission fixed
- Directory ownership fixed

* Sun Jan 20 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.4-1
- Initial package
